Package org.eclipse.birt.report.engine.api

# Class EngineException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.engine.api.EngineException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `UnsupportedFormatException`

public class EngineException extends org.eclipse.birt.core.exception.BirtException
Define an engine exception that clients of the engine need to handle. EngineException builds on top of BireException and provides resource bundle support

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.birt.core.exception.BirtException`
`birtException`
`protected static com.ibm.icu.util.UResourceBundle`
`dftRb`
`protected long`
`elementId`
`protected static final String`
`pluginId`
`protected static HashMap`
`resourceBundles`
`protected static ThreadLocal`
`threadLocal`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`EngineException(String errorCode)`
`EngineException(String errorCode, Object arg0)`
`EngineException(String errorCode, Object[] args)`
`EngineException(String errorCode, Object[] args, Throwable cause)`
`EngineException(String errorCode, Object arg0, Throwable cause)`
`EngineException(String errorCode, Throwable cause)`
`EngineException(org.eclipse.birt.core.exception.BirtException ex)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getElementID()`
Get element id.
`String`
`getErrorCode()`
`String`
`getLocalizedMessage()`
`String`
`getMessage()`
`String`
`getPluginId()`
`protected static com.ibm.icu.util.UResourceBundle`
`getResourceBundle(com.ibm.icu.util.ULocale locale)`
Get resource bundle.
`int`
`getSeverity()`
`void`
`setElementID(long id)`
Set element id.
`void`
`setSeverity(int severity)`
`static void`
`setULocale(com.ibm.icu.util.ULocale locale)`
Set locale.

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getLocalizedMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### dftRb

protected static com.ibm.icu.util.UResourceBundle dftRb

### threadLocal

protected static ThreadLocal threadLocal

### pluginId

protected static final String pluginId

See Also:
  - Constant Field Values

### elementId

protected long elementId

### birtException

protected org.eclipse.birt.core.exception.BirtException birtException

### resourceBundles

protected static HashMap resourceBundles

## Constructor Details

### EngineException

public EngineException(org.eclipse.birt.core.exception.BirtException ex)

### EngineException

public EngineException(String errorCode, Object arg0)

Parameters:
  `errorCode` - erroe code for the exception
  `arg0` - message argument

### EngineException

public EngineException(String errorCode, Object arg0, Throwable cause)

Parameters:
  `errorCode` -
  `arg0` - message argument
  `cause` - the cause of the exception

### EngineException

public EngineException(String errorCode, Object[] args)

Parameters:
  `errorCode` - error code
  `args` - message argument

### EngineException

public EngineException(String errorCode, Object[] args, Throwable cause)

Parameters:
  `errorCode` - error code
  `args` - message arguments
  `cause` - the cause of the exception

### EngineException

public EngineException(String errorCode)

Parameters:
  `errorCode` - the error code

### EngineException

public EngineException(String errorCode, Throwable cause)

Parameters:
  `errorCode` - the error code for the exception
  `cause` - the cause of the exception

## Method Details

### setULocale

public static void setULocale(com.ibm.icu.util.ULocale locale)
Set locale.

Parameters:
  `locale` -

### getResourceBundle

protected static com.ibm.icu.util.UResourceBundle getResourceBundle(com.ibm.icu.util.ULocale locale)
Get resource bundle.

Parameters:
  `locale` -
Returns:
  resource bundle

### setElementID

public void setElementID(long id)
Set element id.

Parameters:
  `id` -

### getElementID

public long getElementID()
Get element id.

Returns:
  element id

### getErrorCode

public String getErrorCode()

Overrides:
  `getErrorCode` in class `org.eclipse.birt.core.exception.BirtException`

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `org.eclipse.birt.core.exception.BirtException`

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `org.eclipse.birt.core.exception.BirtException`

### getPluginId

public String getPluginId()

Overrides:
  `getPluginId` in class `org.eclipse.birt.core.exception.BirtException`

### getSeverity

public int getSeverity()

Overrides:
  `getSeverity` in class `org.eclipse.birt.core.exception.BirtException`

### setSeverity

public void setSeverity(int severity)

Overrides:
  `setSeverity` in class `org.eclipse.birt.core.exception.BirtException`